#!/usr/bin/env python3

Host =  "vir.isi.edu"
User =  "lander_user"
Pass =  "commondbuser123"
DB   =  "lander_ps_db"


from top.sup import db

def api_subscribeQueue(queue_id, username):
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 150
    try:
        cur = dbcon.cursor()
    except pymysql.Error as e:
        return 151


    query1 = "Insert into Subscriber (SubscriberName, queue_id) \
	      Values ('%s', '%s');"                       \
	       %(username, queue_id)



    # Funny looking single quote i.e. ` which is at tilda button, is necessary with the
    # table names if there could be characters like - in the name.  I was testing with
    # name b-root and discorved this problem.
    query2 = ("CREATE TABLE IF NOT EXISTS `%s`(DataURI VARCHAR(767) NOT NULL,    \
		                               FileStateName VARCHAR(8) NOT NULL,\
					       RowEntryEpoch TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP, \
					       HdfsModTime TIMESTAMP NOT NULL, \
					       PRIMARY KEY (DataURI),FOREIGN KEY (DataURI) REFERENCES Data(DataURI),\
					       FOREIGN KEY (FileStateName) REFERENCES FileState(StateName));" \
             ) %(username+"_"+queue_id)



    try:
        print (query1)
	cur.execute(query1)
    except pymysql.Error as e:
        print (e)
	return 152


    try:
        print (query2)
	cur.execute(query2)
	dbcon.commit()
    except pymysql.Error as e:
        print (e)
	return 153

    cur.close()
    db.__disconnectFromDB(dbcon)

    return 0



if __name__ == '__main__':
    api_subscribeQueue("test_queue", "aqadeer")
    
