#!/usr/bin/env python3

import random
import sys

from top.sup import opsys, db
from top.conf import sysConfInfo, syssetup



# createOrdinaryDBUser() function is meant to be run by system admin

Host =  sysConfInfo.Host
User =  sysConfInfo.User
Pass =  sysConfInfo.Pass
DB   =  sysConfInfo.DB


debug = True

def createOrdinaryDBUser_Inner(userName):
    
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 1
    try:
        cur = dbcon.cursor()
    except MySQLdb.Error as e:
        return 2
        
    dbcon.autocommit(False)



    db_user = userName
    db_pass = random.getrandbits(30)

    # Caution: Followig command will delete DB user if it already exists
    # before making anew.


    if db.__createDBUser(dbcon, cur, db_user, db_pass, False) != 0:
        sys.stderr.write("createOrdinaryDBUser:::New db user creation failed.\n")
        return 6



    # write user db ddcredentials in a file
    text_file = open(db_user+".DBCredentials", "w")
    message = "DB User Name = %s \nDB Password = %s\n"  %(db_user, db_pass)
    text_file.write(message)
    text_file.close()

    

    # if everything went well only now is the time to commit
    dbcon.commit()
    cur.close()
    db.__disconnectFromDB(dbcon)

    
    return 0

#..........................................................................
def createOrdinaryDBUser(user_name):
    retVal = createOrdinaryDBUser_Inner(user_name)
    print (retVal)
    return retVal

#..........................................................................
if __name__ == '__main__':
    user_name = "somebody"
    createOrdinaryDBUser(user_name)


