#!/usr/bin/env python3

import random
import sys

from top.sup import opsys, db
from top.conf import sysConfInfo



Host =  sysConfInfo.Host
User =  sysConfInfo.User
Pass =  sysConfInfo.Pass
DB   =  sysConfInfo.DB



debug = False

def deactivateAllQueues_Inner():
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 1, "dbcon failed inside %s" %(__name__)
    try:
        cur = dbcon.cursor()
    except MySQLdb.Error as  e:
        return 2, "cursor acquistion failed inside %s" %(__name__)



    result = db.__disableAllQueues(dbcon, cur)
    if result != 0:
        return 3, "db.__disableAllQueues failed. This failure is in %s" %(__name__)



    cur.close()
    db.__disconnectFromDB(dbcon)

    return result, "OK"


def deactivateAllQueues():
    retVal, retMessage = deactivateAllQueues_Inner()
    print (retVal)
    print (retMessage)
    return retVal, retMessage



#..........................................................................
if __name__ == '__main__':
    deactivateAllQueues()
