#!/usr/bin/env python3

import random
import sys

from top.sup import opsys, db
from top.conf import sysConfInfo, syssetup



# createOrdinaryDBUser() function is meant to be run by system admin

Host =  sysConfInfo.Host
User =  sysConfInfo.User
Pass =  sysConfInfo.Pass
DB   =  sysConfInfo.DB


debug = True

def deleteOrdinaryDBUser_Inner(userName):
    
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 1
    try:
        cur = dbcon.cursor()
    except MySQLdb.Error as e:
        return 2
        
    dbcon.autocommit(False)



    db_user = userName



    if db.__deleteDBUser(dbcon, cur, db_user, False) != 0:
        sys.stderr.write("deleteOrdinaryDBUser:::DB user deletion failed.\n")
        return 6


    

    # if everything went well only now is the time to commit
    dbcon.commit()
    cur.close()
    db.__disconnectFromDB(dbcon)

    
    return 0

#..........................................................................
def deleteOrdinaryDBUser(user_name):
    retVal = deleteOrdinaryDBUser_Inner(user_name)
    print (retVal)
    return retVal

#..........................................................................
if __name__ == '__main__':
    user_name = "somebody"
    deleteOrdinaryDBUser(user_name)


