#!/usr/bin/env python3

import random
import sys

from top.sup import opsys, db, hdfs
from top.conf import sysConfInfo


Host =  sysConfInfo.Host
User =  sysConfInfo.User
Pass =  sysConfInfo.Pass
DB   =  sysConfInfo.DB


debug = False

def lander_queue_user2queues_Inner(queue_owner):

    queues = []
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 1, "dbcon failed inside %s" %(__name__), queues
    try:
        cur = dbcon.cursor()
    except MySQLdb.Error as e:
        return 2, "cursor acquistion failed inside %s" %(__name__), queues



    retCode, queues = db.__getQueuesByOwner(dbcon, cur, queue_owner)
    if retCode != 0:
        return 3, "db.__getQueuesByOwner failed.  This failure is inside %s" %(__name__), queues






    cur.close()
    db.__disconnectFromDB(dbcon)

    return 0, "OK", queues
#..........................................................................
def lander_queue_user2queues(queue_owner):
    retVal, retMessage, queues = lander_queue_user2queues_Inner(queue_owner)

    print (retVal)
    print (retMessage)
    print (queues)

    return retVal, retMessage, queues

#..........................................................................
