#!/usr/bin/env python3

import random
import sys

from top.sup import opsys, db, hdfs
from top.conf import sysConfInfo



# clean up function is meant to be run by a privileged system admin user

Host =  sysConfInfo.Host
User =  sysConfInfo.User
Pass =  sysConfInfo.Pass
DB   =  sysConfInfo.DB



def doPerFileGarbageCollection(dataURI):    
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 1
    try:
        cur = dbcon.cursor()
    except MySQLdb.Error as e:
        return 2



    retCode = 0

    if db.__deleteRowFromDataTable(dbcon, cur, dataURI) == 0:
        hdfs.delHDFSFile(dataURI)   
    else:
        retCode = 3



    cur.close()
    db.__disconnectFromDB(dbcon)

    return retCode
#..........................................................................
if __name__ == '__main__':

    file_uri = "some_test_uri"
    doPerFileGarbageCollection(file_uri)
