#!/usr/bin/env python3

import random
import sys

from top.sup import opsys, db
from top.conf import sysConfInfo



# activateQueue can be called by the user of this specific queue
# using his db credentials which must be in usrConfInfo.py in top.conf

Host =  sysConfInfo.Host
DB   =  sysConfInfo.DB
#Creds=  sysConfInfo.Creds
User=  sysConfInfo.User
Pass=  sysConfInfo.Pass

debug = False

def testLargeDBDel_Inner(count, referredQueue):
    #(User, Pass) = Creds[referredQueue]
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 1
    try:
        cur = dbcon.cursor()
    except MySQLdb.Error as e:
        return 2

    
    result = db.__addDummyRowsInQueue(dbcon, cur, count, referredQueue)



    cur.close()
    db.__disconnectFromDB(dbcon)

    return result
#..........................................................................
def testLargeDBDel(count, referred_queue_id):
    retVal = testLargeDBDel_Inner(count, referred_queue_id)
    print ("\n%s" %(str(retVal)))
    return retVal
#..........................................................................
if __name__ == '__main__':
    count = 1000000
    referred_queue_id = "testq15_Queue"

    testLargeDBDel(count, referred_queue_id)



