package edu.isi.ant.JobAPI;

import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

public class AnonymousLogger {

    public static Logger getAnonymousLogger(String name)
    {
        Logger logger = Logger.getAnonymousLogger();

        FileHandler fileHandler = null;
        try {
            fileHandler = new FileHandler(name);
        } catch (IOException e) {
            e.printStackTrace();
        }
        fileHandler.setFormatter(new SimpleFormatter());

        logger.addHandler(fileHandler);//adding Handler for file
        return logger;
    }
}
