package edu.isi.ant.JobAPI;

import java.util.concurrent.ExecutorCompletionService;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;

public class Sandbox {



        final ExecutorService workerThreadPool = Executors.newFixedThreadPool(2);

        public Sandbox()
        {
            for(int i = 0; i < 5; i++){
                System.out.println("Submitting a thread with id: " + i);
                workerThreadPool.execute(new aThread(i));

            }

            try {
                workerThreadPool.awaitTermination(1, TimeUnit.SECONDS);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }





        public void onShutdown() {
            workerThreadPool.shutdown();

        }




        static class aThread implements Runnable
        {
            private int id;

            public aThread(int id)
            {
                this.id = id;
            }

            @Override
            public void run() {
                System.out.println("Hi.  I am thread no: " + this.id);
                try {
                    Thread.sleep(1000);
                    Thread.yield();
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }

            }
        }


        public static void main(String args[])
        {
            new Sandbox();
        }

}
