#!/bin/bash

usage() {
    cat <<EOF
Create HLE database (assumes localhost mariadb server up and running)

  $0 <dbname> <username> <password>

When prompted please enter the root (database) user's password.
EOF
}

[ $# == 3 ] || { usage; exit 1; }

HLE_DB=$1
HLE_USER=$2
HLE_PASSWORD=$3


sed "s%\${HLE_DB}%$HLE_DB%g; 
     s%\${HLE_USER}%$HLE_USER%g; 
     s%\${HLE_PASSWORD}%$HLE_PASSWORD%g;" db_schema.template | mysql -u root -p
