#!/usr/bin/env python3

import random
import sys
import os

from top.sup import opsys, db
from top.conf import sysConfInfo, syssetup




Host =  sysConfInfo.Host
User =  sysConfInfo.User
Pass =  sysConfInfo.Pass
DB   =  sysConfInfo.DB


debug = False

def lander_queue_list(queue_id, data_type, queue_owner):

    #ToDo: There shouldn't be queue_id or data_type or queue_owner in this function

    queues = []
    dbcon = db.__connectToDB(Host, User, Pass, DB)
    if dbcon == None:
        return 1, "dbcon failed inside %s" %(__name__), queues
    try:
        cur = dbcon.cursor()
    except MySQLdb.Error as e:
        return 2, "cursor acquistion failed inside %s" %(__name__), queues




    #ToFix: For a specific data type
    #if data_type == "":
    #    retCode, queues = db.__listQueues(dbcon, cur, queue_owner)
    #else:
    #    retCode, queues = db.__listQueues(dbcon, cur, queue_owner, data_type)
    retCode, queues = db.__listQueues(dbcon, cur);

    if retCode != 0:
        return retCode, "db.__listQueues failed. This failure is in %s" %(__name__), queues

    if debug: print (queues)


    
    return 0, "OK", queues


#..........................................................................
